# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with bootstrap
%bcond_with jci
%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/jboss/web/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirres %{repodir}/resources
%define repodirsrc %{repodir}/src

%define reltag .GA-patch-02

%define section free

%define jspspec 2.1
%define major_version 2
%define minor_version 1
%define micro_version 13
%define packdname .
%define servletspec 2.5
%define elspec 1.0

%global namedversion %{version}%{?reltag}

Name:           jbossweb
Version:        %{major_version}.%{minor_version}.%{micro_version}
Release:        3_patch_02%{?dist}
Epoch:          0
Summary:        JBoss Web Server based on Apache Tomcat
Group:          Networking/Daemons
License:        LGPLv2+
URL:            http://labs.jboss.com/jbossweb/
# svn export http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_2_1_13_GA/ jbossweb-2.1.13
# Exported revision 2056.
# tar cjf jbossweb-2.1.13.tar.bz2 jbossweb-2.1.13
Source0:        %{name}-%{version}.tar.bz2
Source1:        jbossweb-component-info.xml
# pom.xml files from: https://svn.jboss.org/repos/repository.jboss.org/maven2/jboss/web/
# NOTE: Use pom files with spec version in name instead of build version
Source9:	jbossweb.pom
Source10:	el-api-%{elspec}.pom
Source11:	jasper-jdt.pom
Source12:	jsp-api-%{jspspec}.pom
Source13:	servlet-api-%{servletspec}.pom
Source14:	jbossweb-upload.sh
Source20:	%{name}-el-api-%{elspec}.pom
Source22:	%{name}-jsp-api-%{jspspec}.pom
Source23:	%{name}-servlet-api-%{servletspec}.pom
Patch0:         jbossweb-build_xml.patch
Patch1:         jbossweb-dist_xml.patch
Patch2:         jbossweb-JBPAPP-7267-2.patch
Patch3:         jbossweb-CVE-2012-3546.patch
Patch4:         jbossweb-CVE-2012-5885-5886-5887.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires: %{name}-lib = %{epoch}:%{version}-%{release}
BuildRequires:  ant
BuildRequires:  ant-trax
BuildRequires:  axis
BuildRequires:  jakarta-commons-daemon
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-pool
%if %with jci
BuildRequires:  jakarta-commons-jci
%endif
BuildRequires:  javamail_1_3_1_api
BuildRequires:  ecj3 >= 0:3.1.2
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.6.0
BuildRequires:  wsdl4j16
BuildRequires:  maven2-plugin-deploy
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss Web Server is an enterprise ready web server designed for medium
and large applications, based on the Apache Tomcat. It is meant to be
used as a replacement for the standard Web servers on all major
platforms. JBoss Web Server provides organizations with a single
deployment platform for Java Server Pages (JSP) and Java Servlet
technologies, Microsoft .NET, PHP, and CGI. It uses a genuine high
performance hybrid technology that incorporates the best of the most
recent OS technologies for processing high volume data, while keeping
all the reference Java specifications. It supports both in and out of
the process execution of CGI and PHP scripts, as well as .NET
applications. The hybrid technology model offers the best from
threading and event processing models, and that makes the JBoss Web
Server one of the fastest and most scalable web servers in the market.

%package javadoc
Group: Documentation
Summary: Javadoc generated documentation for JBoss Web Server

%description javadoc
Javadoc generated documentation for JBoss Web Server.

%package el-%{elspec}-api
Group: Internet/WWW/Dynamic Content
Summary: JBoss Web Server EL API implementation classes
Provides: el_1_0_api
Provides: el_api = 0:%{elspec}
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description el-%{elspec}-api
JBoss Web Server EL API implementation classes.

%package jsp-%{jspspec}-api
Group: Internet/WWW/Dynamic Content
Summary: JBoss Web Server JSP API implementation classes
Provides: jsp = %{jspspec}
Provides: jsp21
Provides: jsp_api = 0:%{jspspec}
Provides: jsp_2_1_api
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description jsp-%{jspspec}-api
JBoss Web Server JSP API implementation classes.

%package lib
Group: Development/Compilers
Summary: Libraries needed to run the Tomcat Web container
Requires: ecj3
Requires: jakarta-commons-collections
Requires: jakarta-commons-dbcp
Requires: jakarta-commons-pool
Requires: jpackage-utils
Requires: %{name}-el-%{elspec}-api
Requires: %{name}-jsp-%{jspspec}-api
Requires: %{name}-servlet-%{servletspec}-api

%description lib
Libraries needed to run the Tomcat Web container.

%package servlet-%{servletspec}-api
Group: Internet/WWW/Dynamic Content
Summary: JBoss Web Server Servlet API implementation classes
Provides: servlet = %{servletspec}
Provides: servlet6
Provides: servlet25
Provides:  servlet_api = 0:%{servletspec}
Provides: servlet_2_5_api
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives

%description servlet-%{servletspec}-api
JBoss Web Server Servlet API implementation classes.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -p1 -b .sav2
%patch3 -p1 -b .sav2
%patch4 -p1 
# remove pre-built binaries and windows files
find . -type f \( -name "*.bat" -o -name "*.class" -o -name Thumbs.db -o -name "*.gz" -o \
          -name "*.jar" -o -name "*.war" -o -name "*.zip" \) | xargs -t %{__rm}

pushd lib
%if %with jci
build-jar-repository -s -p . commons-jci-core
%endif
build-jar-repository -s -p . axis/jaxrpc
ln -s $(build-classpath ecj3) jasper-jdt.jar
build-jar-repository -s -p . javamail_1_3_1_api
build-jar-repository -s -p . wsdl4j
popd

%if %without jci
rm java/org/apache/jasper/compiler/JCICompiler.java
%endif

%build
export CLASSPATH=
export OPT_JAR_LIST="jaxp_transform_impl ant/ant-trax xalan-j2-serializer"

pushd %{packdname}
    # we don't care about the tarballs and we're going to replace
    # tomcat-dbcp.jar with jakarta-commons-{collections,dbcp,pool}-tomcat5.jar
    # so just create a dummy file for later removal
    touch HACK
    # who needs a build.properties file anyway
    %{ant} -Dbase.path="." \
        -Dbuild.compiler="modern" \
        -Dcommons-collections.jar="$(build-classpath commons-collections)" \
        -Dcommons-daemon.jar="$(build-classpath commons-daemon)" \
        -Dcommons-daemon.jsvc.tar.gz="HACK" \
        -Djasper-jdt.jar="lib/jasper-jdt.jar" \
        -Djdt.jar="$(build-classpath ecj3)" \
        -Dtomcat-dbcp.jar="HACK" \
        -Dtomcat-native.tar.gz="HACK" \
        -Dversion="%{namedversion}" \
        -Dversion.build="%{micro_version}"
    %{ant} -f dist.xml dist-prepare
    %{ant} -f dist.xml dist-source
    %{ant} -f dist.xml dist-javadoc
    # remove some jars that we'll replace with symlinks later
    %{__rm} output/build/bin/commons-daemon.jar
    # remove the cruft we created
    %{__rm} output/build/bin/HACK \
%if 0
            output/build/bin/tomcat-native.tar.gz \
%endif
            output/build/lib/HACK
popd

%install
%{__rm} -rf $RPM_BUILD_ROOT
# build initial path structure
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{namedversion}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadir}/%{name}
# move things into place
pushd %{packdname}/output/jars
for i in *.jar ; do
    cp -p $i %{buildroot}%{_javadir}/%{name}/ ;
done

popd
pushd %{packdname}/output/build
    %{__cp} -p lib/*.jar ${RPM_BUILD_ROOT}%{_javadir}/%{name}
popd
# javadoc
pushd output/dist/webapps
    %{__cp} -pr docs/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{namedversion}
    %{__ln_s} %{name}-%{namedversion} ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}
popd
# create el and jsp and servlet API symlinks
pushd ${RPM_BUILD_ROOT}%{_javadir}
    %{__mv} %{name}/el-api.jar %{name}-el-%{elspec}-api-%{namedversion}.jar
    %{__mv} %{name}/jsp-api.jar %{name}-jsp-%{jspspec}-api-%{namedversion}.jar
    %{__mv} %{name}/servlet-api.jar %{name}-servlet-%{servletspec}-api-%{namedversion}.jar
    %{__ln_s} %{name}-el-%{elspec}-api-%{namedversion}.jar %{name}-el-%{elspec}-api.jar
    %{__ln_s} %{name}-jsp-%{jspspec}-api-%{namedversion}.jar %{name}-jsp-%{jspspec}-api.jar
    %{__ln_s} %{name}-servlet-%{servletspec}-api-%{namedversion}.jar %{name}-servlet-%{servletspec}-api.jar
    /bin/touch el_1_0_api.jar
    /bin/touch el_api.jar
    /bin/touch jsp_2_1_api.jar
    /bin/touch jsp_api.jar
    /bin/touch servlet_2_5_api.jar
    /bin/touch servlet_api.jar
popd
pushd ${RPM_BUILD_ROOT}%{_javadir}/%{name}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__mv} ${j}.jar ${j}-%{namedversion}.jar
        %{__ln_s} ${j}-%{namedversion}.jar ${j}.jar
    done
    # symlink JSP and servlet API jars
    %{__ln_s} ../%{name}-el-%{elspec}-api-%{namedversion}.jar el-api.jar
    %{__ln_s} ../%{name}-jsp-%{jspspec}-api-%{namedversion}.jar jsp-api.jar
    %{__ln_s} ../%{name}-servlet-%{servletspec}-api-%{namedversion}.jar servlet-api.jar
    %{__ln_s} ../%{name}-el-%{elspec}-api-%{namedversion}.jar el-api-%{namedversion}.jar
    %{__ln_s} ../%{name}-jsp-%{jspspec}-api-%{namedversion}.jar jsp-api-%{namedversion}.jar
    %{__ln_s} ../%{name}-servlet-%{servletspec}-api-%{namedversion}.jar servlet-api-%{namedversion}.jar
popd
# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
# Include actual version in pom file
%{__sed} -i "s/@VERSION@/%{namedversion}/g" %{SOURCE9}
%{__sed} -i "s/@VERSION@/%{namedversion}/g" %{SOURCE20}
%{__sed} -i "s/@VERSION@/%{namedversion}/g" %{SOURCE22}
%{__sed} -i "s/@VERSION@/%{namedversion}/g" %{SOURCE23}

install -p -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jbossweb.pom
install -p -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-%{elspec}-el-api.pom
install -p -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-%{jspspec}-jsp-api.pom
install -p -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-servlet-%{servletspec}-api.pom

%add_to_maven_depmap jboss.web jbossweb %{namedversion} JPP/%{name} jbossweb
%if 0
%add_to_maven_depmap jboss.web el-api %{elspec} JPP %{name}-el-%{elspec}-api
%add_to_maven_depmap jboss.web jsp-api %{jspspec} JPP %{name}-jsp-%{jspspec}-api
%add_to_maven_depmap jboss.web servlet-api %{servletspec} JPP %{name}-servlet-%{servletspec}-api
%add_to_maven_depmap jboss.web jasper-jdt %{namedversion} JPP ecj3
%else
%add_to_maven_depmap jboss.web el-api %{namedversion} JPP %{name}-el-%{elspec}-api
%add_to_maven_depmap jboss.web jsp-api %{namedversion} JPP %{name}-jsp-%{jspspec}-api
%add_to_maven_depmap jboss.web servlet-api %{namedversion} JPP %{name}-servlet-%{servletspec}-api
%add_to_maven_depmap jboss.web jasper-jdt %{namedversion} JPP ecj3
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodir}/component-info.xml
%{__sed} -i 's/@VERSION@/%{namedversion}-brew/g' %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH2} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH3} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH4} %{buildroot}%{repodirsrc}
cp -p output/jars/jbossweb.jar %{buildroot}%{repodirlib}/jbossweb.jar
cp -p %{SOURCE9} %{buildroot}%{repodirlib}/jbossweb.pom
cp -p output/jars/jbossweb-src.zip %{buildroot}%{repodirlib}/jbossweb-sources.zip
cp -p %{buildroot}%{_javadir}/%{name}-el-%{elspec}-api-%{namedversion}.jar %{buildroot}%{repodirlib}/el-api.jar
cp -p %{SOURCE10} %{buildroot}%{repodirlib}/el-api.pom
cp -p %{SOURCE20} %{buildroot}%{repodirlib}/%{name}-el-api.pom
cp -p $(build-classpath ecj3) %{buildroot}%{repodirlib}/jasper-jdt.jar
# Include actual version in pom file
%{__sed} -i "s/@VERSION@/%{namedversion}/g" %{SOURCE11}
cp -p %{SOURCE11} %{buildroot}%{repodirlib}/jasper-jdt.pom
cp -p %{buildroot}%{_javadir}/%{name}-jsp-%{jspspec}-api-%{namedversion}.jar %{buildroot}%{repodirlib}/jsp-api.jar
cp -p %{SOURCE12} %{buildroot}%{repodirlib}/jsp-api.pom
cp -p %{SOURCE22} %{buildroot}%{repodirlib}/%{name}-jsp-api.pom
cp -p %{buildroot}%{_javadir}/%{name}-servlet-%{servletspec}-api-%{namedversion}.jar %{buildroot}%{repodirlib}/servlet-api.jar
cp -p %{SOURCE13} %{buildroot}%{repodirlib}/servlet-api.pom
cp -p %{SOURCE23} %{buildroot}%{repodirlib}/%{name}-servlet-api.pom
install -p -m 755 %{SOURCE14} %{buildroot}%{repodir}/upload.sh
pushd %{buildroot}%{repodir}
./upload.sh %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/
popd
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post el-%{elspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/el_1_0_api.jar el_1_0_api %{_javadir}/%{name}-el-%{elspec}-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/el_api.jar el_api %{_javadir}/%{name}-el-%{elspec}-api.jar 10001

%post jsp-%{jspspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/jsp.jar jsp %{_javadir}/%{name}-jsp-%{jspspec}-api.jar 20099
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_2_1_api.jar jsp_2_1_api %{_javadir}/%{name}-jsp-%{jspspec}-api.jar 20099
%{_sbindir}/update-alternatives --install %{_javadir}/jsp_api.jar jsp_api %{_javadir}/%{name}-jsp-%{jspspec}-api.jar 20099

%post servlet-%{servletspec}-api
%{_sbindir}/update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-servlet-%{servletspec}-api.jar 20499
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_2_5_api.jar servlet_2_5_api %{_javadir}/%{name}-servlet-%{servletspec}-api.jar 20499
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_api.jar servlet_api %{_javadir}/%{name}-servlet-%{servletspec}-api.jar 20499

%preun el-%{elspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove el_1_0_api %{_javadir}/%{name}-el-%{elspec}-api.jar
    %{_sbindir}/update-alternatives --remove el_api %{_javadir}/%{name}-el-%{elspec}-api.jar
fi

%preun jsp-%{jspspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jsp %{_javadir}/%{name}-jsp-%{jspspec}-api.jar
    %{_sbindir}/update-alternatives --remove jsp_2_1_api %{_javadir}/%{name}-jsp-%{jspspec}-api.jar
    %{_sbindir}/update-alternatives --remove jsp_api %{_javadir}/%{name}-jsp-%{jspspec}-api.jar
fi

%preun servlet-%{servletspec}-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet %{_javadir}/%{name}-servlet-%{servletspec}-api.jar
    %{_sbindir}/update-alternatives --remove servlet_2_5_api %{_javadir}/%{name}-servlet-%{servletspec}-api.jar
    %{_sbindir}/update-alternatives --remove servlet_api %{_javadir}/%{name}-servlet-%{servletspec}-api.jar
fi

%files
%defattr(0644,root,root,0755)
%doc %{packdname}/{LICENSE,NOTICE,RELEASE*}
%doc %{packdname}/{KEYS,PATCHES.txt,BUILDING.txt,RUNNING.txt}
#%dir %{_javadir}*/%{name}
#%exclude %dir %{_javadocdir}/%{name}
%{_datadir}/maven2/poms/JPP.%{name}-jbossweb.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%files el-%{elspec}-api
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-el-%{elspec}-api-%{namedversion}.jar
%{_javadir}*/%{name}-el-%{elspec}-api.jar
%ghost %{_javadir}*/el_1_0_api.jar
%ghost %{_javadir}*/el_api.jar
%{_datadir}/maven2/poms/JPP-%{name}-%{elspec}-el-api.pom

%files jsp-%{jspspec}-api
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-jsp-%{jspspec}-api-%{namedversion}.jar
%{_javadir}*/%{name}-jsp-%{jspspec}-api.jar
%ghost %{_javadir}*/jsp_2_1_api.jar
%ghost %{_javadir}*/jsp_api.jar
%{_datadir}/maven2/poms/JPP-%{name}-%{jspspec}-jsp-api.pom

%files lib
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}/%{name}
%{_javadir}*/%{name}/el-api-%{namedversion}.jar
%{_javadir}*/%{name}/el-api.jar
%{_javadir}*/%{name}/jasper-jdt-%{namedversion}.jar
%{_javadir}*/%{name}/jasper-jdt.jar
%{_javadir}*/%{name}/jbossweb-%{namedversion}.jar
%{_javadir}*/%{name}/jbossweb.jar
%{_javadir}*/%{name}/jsp-api.jar
%{_javadir}*/%{name}/jsp-api-%{namedversion}.jar
%{_javadir}*/%{name}/servlet-api.jar
%{_javadir}*/%{name}/servlet-api-%{namedversion}.jar
%{_javadir}*/%{name}/annotations-api-%{namedversion}.jar
%{_javadir}*/%{name}/annotations-api.jar
%{_javadir}*/%{name}/catalina-%{namedversion}.jar
%{_javadir}*/%{name}/catalina-ant-%{namedversion}.jar
%{_javadir}*/%{name}/catalina-ant.jar
%{_javadir}*/%{name}/catalina.jar
%{_javadir}*/%{name}/jasper-%{namedversion}.jar
%{_javadir}*/%{name}/jasper-el-%{namedversion}.jar
%{_javadir}*/%{name}/jasper-el.jar
%{_javadir}*/%{name}/jasper.jar
%{_javadir}*/%{name}/servlets-php-%{namedversion}.jar
%{_javadir}*/%{name}/servlets-php.jar
%{_javadir}*/%{name}/tomcat-bayeux-%{namedversion}.jar
%{_javadir}*/%{name}/tomcat-bayeux.jar
%{_javadir}*/%{name}/tomcat-coyote-%{namedversion}.jar
%{_javadir}*/%{name}/tomcat-coyote.jar
%{_javadir}*/%{name}/tomcat-i18n-es-%{namedversion}.jar
%{_javadir}*/%{name}/tomcat-i18n-es.jar
%{_javadir}*/%{name}/tomcat-i18n-fr-%{namedversion}.jar
%{_javadir}*/%{name}/tomcat-i18n-fr.jar
%{_javadir}*/%{name}/tomcat-i18n-ja-%{namedversion}.jar
%{_javadir}*/%{name}/tomcat-i18n-ja.jar

%files servlet-%{servletspec}-api
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-servlet-%{servletspec}-api-%{namedversion}.jar
%{_javadir}*/%{name}-servlet-%{servletspec}-api.jar
%ghost %{_javadir}*/servlet_2_5_api.jar
%ghost %{_javadir}*/servlet_api.jar
%{_datadir}/maven2/poms/JPP-%{name}-servlet-%{servletspec}-api.pom

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%exclude %dir %{_javadocdir}/%{name}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Feb 22 2013 Hui Wang <huwang@redhat.com> - 0:2.1.13-3_patch_02
- Add patch for CVE-2012-5885, CVE-2012-5886 and CVE-2012-5887, update to -patch-02

* Tue Dec 11 2012 Hui Wang <huwang@redhat.com> - 0:2.1.13-2_patch_01
- Add patch for CVE-2012-3546, update to -patch-01

* Wed Aug 01 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.13-1
- Upgrade to 2.1.13.GA

* Wed Jan 04 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-3_patch_03.2
- Add patch for CVE-2011-4610

* Fri Dec 23 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-3_patch_03.1
- Upgrade to 2.1.12-patch-03 to incorporate CVE-2011-4858

* Wed Dec 14 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-2_patch_02.1
- Upgrade to 2.1.12-patch-02 to incorporate CVE-2011-1184 and CVE-2011-2526

* Thu Oct 06 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-1.4_patch_01
- Update patch for JBPAPP-7267

* Wed Sep 28 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.1.12-1.3_patch_01
- Fixing versions in poms

* Tue Sep 27 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.1.12-1.2_patch_01
- Applied jbossweb-JBPAPP-7267.patch

* Thu Aug 18 2011 Danesh Mondegarian <dmondega@redhat.com> - 0:2.1.12-1.1
- Updated to 2.1.12

* Tue Apr 12 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.11-5.4
- Move jbossweb.jar back to lib sub-package

* Wed Mar 23 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.1.11-5.3
- Fix version inside the POMs that use the build version so artifacts
  are properly loaded

* Mon Mar 14 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.11-5.1
- Rename pom files to include spec version instead of build version to avoid multiple uploads

* Mon Mar 14 2011 Hui Wang <huwang@redhat.com> 0:2.1.11-5
- Fix poms' name in mvn-jpp deploy command
- Add deploying servlet-api in upload.sh

* Fri Mar 11 2011 David Walluck <dwalluck@redhat.com> 0:2.1.11-4
- use impl versions for APIs

* Fri Feb 25 2011 David Walluck <dwalluck@redhat.com> 0:2.1.11-3
- fix el_1_0_api.jar and el_api.jar symlinks

* Wed Feb 16 2011 David Walluck <dwalluck@redhat.com> 0:2.1.11-2
- create el-api subpackage
- add depmaps for el-api, jsp-api, servlet-api, jasper-jdt
- update ghost symlinks and own in proper package
- fix Requires for lib package
- fix BuildRequires for main package
- remove jbossweb-2.1.7.GA.pom
- use mvn-jpp in upload.sh (kill script later)
- fix upload.sh call
- BuildRequires: maven2-plugin-deploy
- fix inclusion of javadoc in main and repolib packages
- fix duplicate files across packages
- still does not provide annotation_1_0_api

* Mon Feb 14 2011 Lin Gao <lgao@redhat.com> 0:2.1.11-1
- Upgrade JBossWeb to version 2.1.11.GA

* Wed Feb 2 2011 Yiqiao Wang <yiwang@redhat.com> 0:2.1.10-5.patch01.1.1
- Add patch for JBPAPP-5849
- Change BR wsdl4j to wsdl4j16

* Fri Jan 21 2011 Fernando Nasser <fnasser@redhat.com> 0:2.1.10-4.8
- Temporarely change servlet-api groupId to match the AS component-matrix

* Fri Jan 21 2011 Fernando Nasser <fnasser@redhat.com> 0:2.1.10-4.6
- Rebuild for MEAD repo loading

* Tue Dec 21 2010 Fernando Nasser <fnasser@redhat.com> 0:2.1.10-4.5
- Add standard coordinates for the APIs

* Tue Dec 21 2010 Fernando Nasser <fnasser@redhat.com> 0:2.1.10-4.3
- Fix version of API artifacts -- were using the jbossweb version
  instead of their own

* Wed Dec 09 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.1.10-4.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin

* Mon Aug 30 2010 David Walluck <dwalluck@redhat.com> 0:2.1.10-4.1
- rename ecj to ecj3

* Mon Aug 30 2010 David Walluck <dwalluck@redhat.com> 0:2.1.10-4
- fix alternatives
- fix pom name
- fix maven support

* Fri Aug 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.10-3
- Rebuild

* Thu Aug 26 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.10-2
- Add Provides: and alternatives for jsp_2_1_api and el_1_0_api

* Tue Aug 17 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.10-1
- Upgrade to 2.1.10
- Update poms for 2.1.10

* Fri Jul 30 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.9-2
- Remove servletapi5.jar in javadir as it conflicts
- Remove alternatives and Provides: for servletapi5

* Wed Jul 14 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.9-1
- Upgrade to 2.1.9
- Update poms for 2.1.9

* Wed May 26 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.8-1
- Upgrade to 2.1.8

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.7-5.1.1
- rebuilt

* Wed Apr 7 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.1.7-5.1
- Rebuild

* Tue Mar 02 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.7-5
- Add ghost files for servletapi5 and servlet_2_5_api
- Change postun sections to preun

* Tue Mar 02 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.7-4
- Add missing provides for servletapi5, servlet_2_5_api

* Mon Feb 01 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.7-3
- Add symlinks for jsp-api.jar and servlet-api.jar to main package

* Thu Jan 28 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.7-2
- Add lib subpackage

* Wed Jan 27 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.7-1
- Upgrade to 2.1.7
- Create subpackages for jsp, javadoc and servlet

* Fri May 22 2009 David Walluck <dwalluck@redhat.com> 0:2.1.3-1
- 2.1.3.GA

* Mon Dec 15 2008 David Walluck <dwalluck@redhat.com> 0:2.0.1-4
- fix inclusion of jasper-jdt.jar in main package
- fix inclusion of jasper-jdt.jar in repolib and component-info.xml
- use explicit file list

* Wed Nov 19 2008 David Walluck <dwalluck@redhat.com> 0:2.0.1-3
- fix (Build)Requires
- remove internal jasper-jdt (ecj)

* Tue Sep 02 2008 David Walluck <dwalluck@redhat.com> 0:2.0.1-2
- update component-info.xml
- fix repolib directory ownership
- fix repolib permissions

* Thu Jul 03 2008 David Walluck <dwalluck@redhat.com> 0:2.0.1-1.GA.3
- remove GA from Release tag

* Fri Jun 21 2008 David Walluck <dwalluck@redhat.com> 0:2.0.1-1.GA.2.jpp5
- build as non-bootstrap

* Tue Jun 03 2008 David Walluck <dwalluck@redhat.com> 0:2.0.1-1.GA.1.jpp5
- 2.0.1.GA

* Mon Jun 02 2008 David Walluck <dwalluck@redhat.com> 0:2.0.0-3.CP05.1.jpp5
- own %%{_javadir}/%%{name}
- add epoch tag

* Wed May 14 2008 David Walluck <dwalluck@redhat.com> 2.0.0-3.CP05.0jpp.ep1.2
- add bootstrap option

* Tue Dec 11 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP05.0jpp.ep1.1
- Upgrade to CP05

* Wed Nov 28 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP04.0jpp.ep1.2
- Refresh source tar ball for proper release print on startup

* Tue Nov 13 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP04.0jpp.ep1.1
- Upgrade to CP04

* Tue Nov 13 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP03.0jpp.ep1.1
- Upgrade to CP03

* Mon Nov 05 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP02.0jpp.ep1.3
- Upgrade to final CP02

* Mon Sep 24 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-3.CP02.0jpp.ep1.1
  From Remy Maucherat <rmaucher@redhat.com>:
- Patch for JBWEB-85 (JBCTS-624)

* Thu Aug 30 2007 Fernando Nasser <fnasser@redhat.com> - 2.0.0-2.CP01.0jpp.ep1.4
- Move files to subdir of javadir
- Install jasper-jdt as well, needed by jbossas

* Thu Aug 30 2007 Vivek Lakshmanan <vivekl@redhat.com> - 2.0.0-2.CP01.0jpp.ep1.1
- Import CP01
- Use binary jasper-jdt.jar for now

* Wed Aug 29 2007 Vivek Lakshmanan <vivekl@redhat.com> - 2.0.0-1jpp.ep1.2
- Add repolib support

* Thu Aug 16 2007 Vivek Lakshmanan <vivekl@redhat.com> - 2.0.0-1jpp.ep1.1
- First build
